Get payment instruction by ID
GET
https://sand-api.monoova.com/au/payto/pas-v1/PaymentInstruction/{paymentInitiationUID}
Path Parameters
- paymentInitiationUIDstringrequiredExampleDescriptionDefaultBCORP00000001Pattern^[A-Za-z0-9_-]{1,35}$
Responses
200
- GetPaymentInstructionByIdResponseDescription
- traceIdstringExampleDescriptionDefault43075658-ed9a-4ce0-84ba-2f6524a16676Pattern^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
- paymentInitiationDetailPaymentInstructionStatusResponseDtoDescription
- paymentAgreementUIDstringExampleDescriptionDefaultBCORP123456Pattern^[a-zA-Z0-9_-]{1,35}$
- paymentInitiationUIDstringExampleDescriptionDefaultBCORP00000001Pattern^[a-zA-Z0-9_-]{1,35}$
- scheduleIdstringExampleDescriptionDefaultc2a7e4f1-5b3d-4e8a-9f6c-1d2e3f4a5b6cPattern^[a-zA-Z0-9_-]{1,36}$
- mmsIdstringExampleDescriptionDefaulted8569b5fd8616259d15b5b9a2d52bc0Pattern^[A-Za-z0-9]{1,35}$
- nppInstructionIdstringExampleDescriptionDefaultMOPYAUS1XXXI20241119004756058205270Pattern^[A-Za-z0-9]{1,35}$
- paymentInitiationStatusstringExampleDescriptionDefaultACSCPattern^(INPR|SENT|SAFD|ACCP|ACSP|ACSC|RJCT|RECV|UNDV)$
- paymentInitiationStatusDescriptionstringExampleDescriptionDefaultAccepted & SettledPattern^.+$
- statusReasonCodestringExampleDescriptionDefaultR002Pattern^R[0-9]{3}$
- statusReasonDescriptionstringExampleDescriptionDefaultAccount to be debited does not existPattern^.+$
400
- ErrorResponseDescription
- traceIdstringExampleDescriptionDefault4ea61012-2d9b-413d-a5b4-90ad69a68741Pattern^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
- errorsErrorDto[]Description
- errorCodestringExampleDescriptionDefaultPAS_PMT_UID_REQUIREDPattern^[A-Z0-9_]{1,64}$
- errorMessagestringExampleDescriptionDefaultpaymentInitiationUID requiredPattern^.+$
401
403
- ErrorResponseDescription
- traceIdstringExampleDescriptionDefault4ea61012-2d9b-413d-a5b4-90ad69a68741Pattern^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
- errorsErrorDto[]Description
- errorCodestringExampleDescriptionDefaultPAS_PMT_UID_REQUIREDPattern^[A-Z0-9_]{1,64}$
- errorMessagestringExampleDescriptionDefaultpaymentInitiationUID requiredPattern^.+$
404
- ErrorResponseDescription
- traceIdstringExampleDescriptionDefault4ea61012-2d9b-413d-a5b4-90ad69a68741Pattern^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
- errorsErrorDto[]Description
- errorCodestringExampleDescriptionDefaultPAS_PMT_UID_REQUIREDPattern^[A-Z0-9_]{1,64}$
- errorMessagestringExampleDescriptionDefaultpaymentInitiationUID requiredPattern^.+$
500
- ErrorResponseDescription
- traceIdstringExampleDescriptionDefault4ea61012-2d9b-413d-a5b4-90ad69a68741Pattern^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
- errorsErrorDto[]Description
- errorCodestringExampleDescriptionDefaultPAS_PMT_UID_REQUIREDPattern^[A-Z0-9_]{1,64}$
- errorMessagestringExampleDescriptionDefaultpaymentInitiationUID requiredPattern^.+$
502
- ErrorResponseDescription
- traceIdstringExampleDescriptionDefault4ea61012-2d9b-413d-a5b4-90ad69a68741Pattern^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
- errorsErrorDto[]Description
- errorCodestringExampleDescriptionDefaultPAS_PMT_UID_REQUIREDPattern^[A-Z0-9_]{1,64}$
- errorMessagestringExampleDescriptionDefaultpaymentInitiationUID requiredPattern^.+$
curl
curl --request GET \
--url https://sand-api.monoova.com/au/payto/pas-v1/PaymentInstruction/{paymentInitiationUID} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://sand-api.monoova.com/au/payto/pas-v1/PaymentInstruction/{paymentInitiationUID}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://sand-api.monoova.com/au/payto/pas-v1/PaymentInstruction/{paymentInitiationUID}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://sand-api.monoova.com/au/payto/pas-v1/PaymentInstruction/{paymentInitiationUID}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK. Returns the payment instruction and its current status.
{
"traceId": "43075658-ed9a-4ce0-84ba-2f6524a16676",
"paymentInitiationDetail": {
"paymentAgreementUID": "BCORP123456",
"paymentInitiationUID": "BCORP00000001",
"scheduleId": "c2a7e4f1-5b3d-4e8a-9f6c-1d2e3f4a5b6c",
"mmsId": "ed8569b5fd8616259d15b5b9a2d52bc0",
"nppInstructionId": "MOPYAUS1XXXI20241119004756058205270",
"paymentInitiationStatus": "ACSC",
"paymentInitiationStatusDescription": "Accepted & Settled",
"statusReasonCode": "R002",
"statusReasonDescription": "Account to be debited does not exist"
}
}400
// Bad Request. The request is invalid. Check errors for details.
{
"traceId": "4ea61012-2d9b-413d-a5b4-90ad69a68741",
"errors": [
{
"errorCode": "PAS_PMT_UID_REQUIRED",
"errorMessage": "paymentInitiationUID required"
}
]
}401
// Unauthorized. The bearer token is missing, invalid or expired.
403
// Forbidden. Your account is not permitted to perform this operation. Contact Monoova to configure access.
{
"traceId": "4ea61012-2d9b-413d-a5b4-90ad69a68741",
"errors": [
{
"errorCode": "PAS_PMT_UID_REQUIRED",
"errorMessage": "paymentInitiationUID required"
}
]
}404
// Not Found. No payment instruction was found with this paymentInitiationUID.
{
"traceId": "4ea61012-2d9b-413d-a5b4-90ad69a68741",
"errors": [
{
"errorCode": "PAS_PMT_UID_REQUIRED",
"errorMessage": "paymentInitiationUID required"
}
]
}500
// Internal Server Error. An unexpected error occurred. Try again later and contact Monoova support if the problem persists.
{
"traceId": "4ea61012-2d9b-413d-a5b4-90ad69a68741",
"errors": [
{
"errorCode": "PAS_PMT_UID_REQUIRED",
"errorMessage": "paymentInitiationUID required"
}
]
}502
// Bad Gateway. An upstream service, such as the NPP gateway, returned an error or no response.
{
"traceId": "4ea61012-2d9b-413d-a5b4-90ad69a68741",
"errors": [
{
"errorCode": "PAS_PMT_UID_REQUIRED",
"errorMessage": "paymentInitiationUID required"
}
]
}